=== modified file 'example.conf'
--- example.conf	2008-02-17 22:48:09 +0000
+++ example.conf	2008-02-24 09:32:20 +0000
@@ -1,5 +1,5 @@
 [style]
-theme = green
+theme = blue
 linenumber = 0
 
 [editor]

=== modified file 'gui.py'
--- gui.py	2008-02-17 20:38:48 +0000
+++ gui.py	2008-02-24 09:32:20 +0000
@@ -1,11 +1,12 @@
 from status_label import FadeLabel
 import gtk
+import sys
 import pango
 import gtksourceview
 import restore_session
 import gtk.glade
 import styles
-
+import ConfigParser
 
 class GUI():
     def __init__(self, style):
@@ -55,7 +56,12 @@
         self.vbox.pack_end(self.hbox, False, False, 0)
         self.status.set_alignment(0.0, 0.5)
         self.status.set_justify(gtk.JUSTIFY_LEFT)
-
+        self.config = ConfigParser.ConfigParser()
+        self.conf = ConfigParser.ConfigParser()
+        self.conf.read("example.conf")
+        theme = "./themes/" + self.conf.get("style","theme") + ".theme"
+        self.config.read(theme)
+        self.config.write(sys.stdout)
 
     def quit(self):
         """ quit pyroom """
@@ -97,55 +103,49 @@
 
     def plus(self):
         """ Increases the font size"""
-
-        self.style['fontsize'] += 1
+        fontsize = str(float(self.config.get("theme","fontsize"))+1)
+        self.config.set("theme","fontsize",fontsize)
         self.apply_style()
         self.status.set_text(_('Font size increased'))
 
     def minus(self):
         """ Decreases the font size"""
-
-        self.style['fontsize'] -= 1
+        fontsize = str(float(self.config.get("theme","fontsize"))-1)
+        self.config.set("theme","fontsize",fontsize)
         self.apply_style()
         self.status.set_text(_('Font size decreased'))
 
     def apply_style(self, style=None):
-        if style:
-            self.style = style
         self.window.modify_bg(gtk.STATE_NORMAL,
-                              gtk.gdk.color_parse(self.style['background'
-                              ]))
+                              gtk.gdk.color_parse(self.config.get("theme","background")))
         self.textbox.modify_bg(gtk.STATE_NORMAL,
-                               gtk.gdk.color_parse(self.style['background'
-                               ]))
+                               gtk.gdk.color_parse(self.config.get("theme","background")))
         self.textbox.modify_base(gtk.STATE_NORMAL,
-                                 gtk.gdk.color_parse(self.style['background'
-                                 ]))
+                                 gtk.gdk.color_parse(self.config.get("theme","background")))
         self.textbox.modify_text(gtk.STATE_NORMAL,
-                                 gtk.gdk.color_parse(self.style['foreground'
-                                 ]))
+                                 gtk.gdk.color_parse(self.config.get("theme","foreground")))
         self.textbox.modify_fg(gtk.STATE_NORMAL,
-                               gtk.gdk.color_parse(self.style['lines']))
-        self.status.active_color = self.style['foreground']
-        self.status.inactive_color = self.style['background']
+                               gtk.gdk.color_parse(self.config.get("theme","linenumbers")))
+        self.status.active_color = self.config.get("theme","foreground")
+        self.status.inactive_color = self.config.get("theme","background")
         self.boxout.modify_bg(gtk.STATE_NORMAL,
-                              gtk.gdk.color_parse(self.style['border']))
-        font_and_size = '%s %d' % (self.style['font'],
-                                   self.style['fontsize'])
+                              gtk.gdk.color_parse(self.config.get("theme","border")))
+        font_and_size = '%s %d' % (self.config.get("theme","font"),
+                                   float(self.config.get("theme","fontsize")))
         self.textbox.modify_font(pango.FontDescription(font_and_size))
 
         gtk.rc_parse_string("""
 	    style "pyroom-colored-cursor" {
         GtkTextView::cursor-color = '"""
-                             + self.style['foreground']
+                             + self.config.get("theme","foreground")
                              + """'
         }
         class "GtkWidget" style "pyroom-colored-cursor"
 	    """)
         (w, h) = (gtk.gdk.screen_width(), gtk.gdk.screen_height())
-        width = int(self.style['size'][0] * w)
-        height = int(self.style['size'][1] * h)
+        width = int(float(self.config.get("theme","width")) * w)
+        height =int(float(self.config.get("theme","height")) * h)
         self.vbox.set_size_request(width, height)
-        self.fixed.move(self.vbox, int(((1 - self.style['size'][0]) * w)/ 2),
-            int(((1 - self.style['size'][1]) * h) / 2))
-        self.textbox.set_border_width(self.style['padding'])
+        self.fixed.move(self.vbox, int(((1 - float(self.config.get("theme","width"))) * w)/ 2),
+            int(((1-float(self.config.get("theme","height"))) * h) / 2))
+        self.textbox.set_border_width(int(self.config.get("theme",'padding')))

=== modified file 'pyroom.py'
--- pyroom.py	2008-02-17 20:38:48 +0000
+++ pyroom.py	2008-02-24 09:32:20 +0000
@@ -35,7 +35,6 @@
 from basic_edit import BasicEdit
 # Some styles
 
-from styles import styles
 if __name__ == '__main__':
 
     verbose = True
@@ -56,12 +55,11 @@
         if arg == '-v':
             verbose = True
         elif arg == '--style':
-            if val in styles:
                 style = val
 
 
     # Create relevant buffers for file and load them
-    pyroom = BasicEdit(styles[style],verbose)
+    pyroom = BasicEdit(style,verbose)
     if len(files):
         for filename in files:
             buffer = pyroom.new_buffer()

=== added directory 'themes'
=== added file 'themes/blue.theme'
--- themes/blue.theme	1970-01-01 00:00:00 +0000
+++ themes/blue.theme	2008-02-24 09:32:20 +0000
@@ -0,0 +1,13 @@
+[theme]
+name = blue
+background = #0000ff
+foreground = #ffffff
+linenumbers = #5555ff
+border = #3333ff
+info = #ffffff
+font = Droid Sans Mono
+fontsize =12
+padding = 6
+width = 0.6
+height = 0.95
+

=== added file 'themes/darkgreen.theme'
--- themes/darkgreen.theme	1970-01-01 00:00:00 +0000
+++ themes/darkgreen.theme	2008-02-24 09:32:20 +0000
@@ -0,0 +1,12 @@
+[theme]
+name = darkgreen
+background = #000000
+foreground = #007700
+linenumbers= #001100
+border = #001100
+info = #007700
+font = Droid Sans Mono
+fontsize = 12
+padding = 6
+width = 0.6
+height = 0.95

=== added file 'themes/green.theme'
--- themes/green.theme	1970-01-01 00:00:00 +0000
+++ themes/green.theme	2008-02-24 09:32:20 +0000
@@ -0,0 +1,12 @@
+[theme]
+name = green
+background = #000000
+foreground = #00ff00
+linenumbers = #007700
+border = #003300
+info = #00ff00
+font = Droid Sans Mono
+fontsize =12
+padding = 6
+width = 0.6
+height = 0.95

